Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.report.model.api
Class ResultSetColumnHandle

    java.lang.Object
      org.eclipse.birt.report.model.api.ElementDetailHandle
          org.eclipse.birt.report.model.api.ValueHandle
              org.eclipse.birt.report.model.api.StructureHandle
                  org.eclipse.birt.report.model.api.ResultSetColumnHandle

Direct Known Subclasses:
  OdaResultSetColumnHandle

    public class ResultSetColumnHandle

extends StructureHandle

Represents the handle of one column in the result set. The result set column defines the data in which column is in the result set.

Name
  a result set column has an optional name.
Position
  a result set column has an optional position for it.
Data Type
  a result set column has a choice data type: any, integer, string, data time, decimal, float, structure or table.

Field Summary

Fields inherited from class org.eclipse.birt.report.model.api.StructureHandle
`structContext`

Fields inherited from class org.eclipse.birt.report.model.api.ElementDetailHandle
`elementHandle`

Constructor Summary
`ResultSetColumnHandle(SimpleValueHandle valueHandle, int index)` Constructs the handle of result set column.

Method Summary
`java.lang.String` | `getColumnName()` Returns the column name.
`java.lang.String` | `getDataType()` Returns the data type of this column.
`java.lang.Integer` | `getNativeDataType()` Returns the native data type.
`java.lang.Integer` | `getPosition()` Returns the position that this column is in the result set.
`void` | `setColumnName(java.lang.String columnName)` Sets the column name.
`void` | `setDataType(java.lang.String dataType)` Sets the data type of this column.
`void` | `setNativeDataType(java.lang.Integer dataType)` Sets the result set column native data type.
`void` | `setPosition(java.lang.Integer position)` Sets the position that this column is in the result set.

Methods inherited from class org.eclipse.birt.report.model.api.StructureHandle
`drop, getContext, getDefn, getExpressionProperty, getExternalizedValue, getMember, getProperty, getPropertyDefn, getStringProperty, getStructure, isDesignTime, iterator, setDesignTime, setExpressionProperty, setProperty, setPropertySilently`

Methods inherited from class org.eclipse.birt.report.model.api.ValueHandle
`getReference`

Methods inherited from class org.eclipse.birt.report.model.api.ElementDetailHandle
`getDesign, getElement, getElementHandle, getModule`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ResultSetColumnHandle

    public ResultSetColumnHandle(SimpleValueHandle valueHandle,
                                 int index)

  Constructs the handle of result set column.

  Parameters:
    `valueHandle` - the value handle for result set column list of one property
    `index` - the position of this result set column in the list

Method Detail

### getColumnName

    public java.lang.String getColumnName()

  Returns the column name.

  Returns:
    the column name

### setColumnName

    public void setColumnName(java.lang.String columnName)
                       throws SemanticException

  Sets the column name.

  Parameters:
    `columnName` - the column name to set
  Throws:
    `SemanticException` - value required exception

### getDataType

    public java.lang.String getDataType()

  Returns the data type of this column. The possible values are defined in `DesignChoiceConstants`, and they are:
  - COLUMN_DATA_TYPE_ANY
  - COLUMN_DATA_TYPE_INTEGER
  - COLUMN_DATA_TYPE_STRING
  - COLUMN_DATA_TYPE_DATETIME
  - COLUMN_DATA_TYPE_DECIMAL
  - COLUMN_DATA_TYPE_FLOAT
  - COLUMN_DATA_TYPE_STRUCTURE
  - COLUMN_DATA_TYPE_TABLE

  Returns:
    the data type of this column.

### setDataType

    public void setDataType(java.lang.String dataType)
                     throws SemanticException

  Sets the data type of this column. The allowed values are defined in `DesignChoiceConstants`, and they are:
  - COLUMN_DATA_TYPE_ANY
  - COLUMN_DATA_TYPE_INTEGER
  - COLUMN_DATA_TYPE_STRING
  - COLUMN_DATA_TYPE_DATETIME
  - COLUMN_DATA_TYPE_DECIMAL
  - COLUMN_DATA_TYPE_FLOAT
  - COLUMN_DATA_TYPE_STRUCTURE
  - COLUMN_DATA_TYPE_TABLE

  Parameters:
    `dataType` - the data type to set
  Throws:
    `SemanticException` - if the dataType is not in the choice list.

### getPosition

    public java.lang.Integer getPosition()

  Returns the position that this column is in the result set.

  Returns:
    the position that this column is in the result set.

### setPosition

    public void setPosition(java.lang.Integer position)

  Sets the position that this column is in the result set.

  Parameters:
    `position` - the position to set

### getNativeDataType

    public java.lang.Integer getNativeDataType()

  Returns the native data type.

  Returns:
    the result set column native data type.

### setNativeDataType

    public void setNativeDataType(java.lang.Integer dataType)

  Sets the result set column native data type.

  Parameters:
    `dataType` - the native data type to set.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.